> For the complete documentation index, see [llms.txt](https://docs.usepylon.com/pylon-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usepylon.com/pylon-docs/developer/api/api-reference/audit-logs.md).

# Audit Logs

## Get a list of audit logs

> Returns a paginated list of audit log entries for the organization.\
> \
> \*\*Rate limit:\*\* 60 requests per minute

```json
{"openapi":"3.0.3","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"responses":{"GetAuditLogsResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAuditLogsResponseBody"}}},"description":""},"BadRequestApiResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":"The request was invalid or could not be completed."},"ForbiddenApiResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":"The authenticated caller or organization is not allowed to access this endpoint or operation."},"InternalServerErrorApiResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":"An unexpected internal error occurred."}},"schemas":{"GetAuditLogsResponseBody":{"properties":{"data":{"description":"The data payload of the response.","items":{"$ref":"#/components/schemas/AuditLog"},"type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"AuditLog":{"properties":{"action":{"description":"The action that was performed.","type":"string"},"action_happened_at":{"description":"The time at which the action happened.","type":"string"},"actor_contact_id":{"description":"The ID of the contact who performed the action, if applicable.","type":"string"},"actor_user_id":{"description":"The ID of the user who performed the action, if applicable.","type":"string"},"attributes":{"additionalProperties":{"type":"string"},"description":"Key-value attributes associated with the audit log.","type":"object"},"created_at":{"description":"The time at which the audit log was created.","type":"string"},"id":{"description":"The ID of the audit log.","type":"string"},"link":{"description":"The link associated with the audit log, if applicable.","type":"string"},"metadata":{"description":"Additional metadata associated with the audit log. The structure varies based on the action type.","type":"object"},"object_id":{"description":"The ID of the object that the audit log is for.","type":"string"},"object_type":{"description":"The type of object that the audit log is for.","type":"string"},"source":{"description":"The source of the audit log.","type":"string"}},"type":"object"},"Pagination":{"properties":{"cursor":{"description":"The cursor for the next page of results.","type":"string"},"has_next_page":{"description":"Indicates if there is a next page of results.","type":"boolean"}},"required":["cursor","has_next_page"],"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}}},"paths":{"/audit-logs":{"get":{"description":"Returns a paginated list of audit log entries for the organization.\n\n**Rate limit:** 60 requests per minute","operationId":"GetAuditLogs","parameters":[{"description":"The cursor to use for pagination.","in":"query","name":"cursor","schema":{"type":"string"}},{"description":"The number of audit logs to fetch. Defaults to 100. Must be greater than 0 and less than 1000.","in":"query","name":"limit","schema":{"format":"int64","type":"integer"}}],"responses":{"200":{"$ref":"#/components/responses/GetAuditLogsResponse"},"400":{"$ref":"#/components/responses/BadRequestApiResponse"},"403":{"$ref":"#/components/responses/ForbiddenApiResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorApiResponse"}},"summary":"Get a list of audit logs","tags":["audit_logs"]}}}}
```

## Search audit logs with filters

> Returns a filtered, paginated list of audit log entries for the organization.\
> Filterable fields and their allowed operators:\
> \
> &#x20;Field | Allowed operators |\
> &#x20;\--- | --- |\
> &#x20;\`action\` | \`equals\`, \`in\`, \`not\_in\`, \`string\_contains\`, \`string\_does\_not\_contain\` |\
> &#x20;\`action\_happened\_at\` | \`time\_is\_after\`, \`time\_is\_before\`, \`time\_range\` |\
> \
> Timestamp values use RFC3339 format.\
> \
> \*\*Rate limit:\*\* 10 requests per minute

```json
{"openapi":"3.0.3","info":{"title":"Pylon API.","version":"1.0.0"},"servers":[{"url":"https://api.usepylon.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"description":"Authorization: Bearer <token>","scheme":"bearer","type":"http"}},"schemas":{"SearchAuditLogsRequest":{"properties":{"cursor":{"description":"The cursor to use for pagination.","type":"string"},"filter":{"$ref":"#/components/schemas/Filter"},"limit":{"description":"The number of audit logs to fetch. Defaults to 100. Must be greater than 0 and less than 1000.","format":"int64","type":"integer"}},"type":"object"},"Filter":{"properties":{"field":{"description":"The field for this filter.  For allowed fields, see the documentation for\nthe specific endpoint you are using.\nFor non-compound filters (any operators other than \"and\" or \"or\"),\nfield must be set, along with either value or values, depending on the operator.","type":"string"},"operator":{"description":"The operator for this filter.","enum":["equals","not_equals","contains","does_not_contain","in","not_in","and","or","time_is_after","time_is_before","time_range","string_contains","string_does_not_contain","is_set","is_unset","greater_than","less_than","greater_than_or_equals","less_than_or_equals"],"type":"string"},"subfilters":{"description":"Sub-filters for this filter.  Valid only when operator is \"and\" or \"or\".\nThe maximum allowed depth for a tree of filters is 3.","items":{"$ref":"#/components/schemas/Filter"},"type":"array"},"value":{"description":"The value for this filter. Only used for single-valued operators\n(\"equals\", \"not_equals\", \"contains\", \"does_not_contain\")","type":"string"},"values":{"description":"The values for this filter. Only used for multi-valued operators (\"in\", \"not_in\").","items":{"type":"string"},"type":"array"}},"required":["operator"],"type":"object"},"GetAuditLogsResponseBody":{"properties":{"data":{"description":"The data payload of the response.","items":{"$ref":"#/components/schemas/AuditLog"},"type":"array"},"pagination":{"$ref":"#/components/schemas/Pagination"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"},"AuditLog":{"properties":{"action":{"description":"The action that was performed.","type":"string"},"action_happened_at":{"description":"The time at which the action happened.","type":"string"},"actor_contact_id":{"description":"The ID of the contact who performed the action, if applicable.","type":"string"},"actor_user_id":{"description":"The ID of the user who performed the action, if applicable.","type":"string"},"attributes":{"additionalProperties":{"type":"string"},"description":"Key-value attributes associated with the audit log.","type":"object"},"created_at":{"description":"The time at which the audit log was created.","type":"string"},"id":{"description":"The ID of the audit log.","type":"string"},"link":{"description":"The link associated with the audit log, if applicable.","type":"string"},"metadata":{"description":"Additional metadata associated with the audit log. The structure varies based on the action type.","type":"object"},"object_id":{"description":"The ID of the object that the audit log is for.","type":"string"},"object_type":{"description":"The type of object that the audit log is for.","type":"string"},"source":{"description":"The source of the audit log.","type":"string"}},"type":"object"},"Pagination":{"properties":{"cursor":{"description":"The cursor for the next page of results.","type":"string"},"has_next_page":{"description":"Indicates if there is a next page of results.","type":"boolean"}},"required":["cursor","has_next_page"],"type":"object"},"ErrorApiResponseBody":{"properties":{"errors":{"description":"The list of errors.","items":{"type":"string"},"type":"array"},"exists_id":{"description":"The ID of the object that already exists if this is a duplicate object error.","type":"string"},"request_id":{"description":"The request ID for tracking.","type":"string"}},"type":"object"}},"responses":{"GetAuditLogsResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAuditLogsResponseBody"}}},"description":""},"BadRequestApiResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":"The request was invalid or could not be completed."},"ForbiddenApiResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":"The authenticated caller or organization is not allowed to access this endpoint or operation."},"InternalServerErrorApiResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorApiResponseBody"}}},"description":"An unexpected internal error occurred."}}},"paths":{"/audit-logs/search":{"post":{"description":"Returns a filtered, paginated list of audit log entries for the organization.\nFilterable fields and their allowed operators:\n\n Field | Allowed operators |\n --- | --- |\n `action` | `equals`, `in`, `not_in`, `string_contains`, `string_does_not_contain` |\n `action_happened_at` | `time_is_after`, `time_is_before`, `time_range` |\n\nTimestamp values use RFC3339 format.\n\n**Rate limit:** 10 requests per minute","operationId":"SearchAuditLogs","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SearchAuditLogsRequest"}}}},"responses":{"200":{"$ref":"#/components/responses/GetAuditLogsResponse"},"400":{"$ref":"#/components/responses/BadRequestApiResponse"},"403":{"$ref":"#/components/responses/ForbiddenApiResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorApiResponse"}},"summary":"Search audit logs with filters","tags":["audit_logs"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.usepylon.com/pylon-docs/developer/api/api-reference/audit-logs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
